is_empty.hpp File Reference
`#include <msgpack/preprocessor/punctuation/is_begin_parens.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_DETAIL_IS_EMPTY_IIF_0(t, ...) __VA_ARGS__
#define | MSGPACK_PP_DETAIL_IS_EMPTY_IIF_1(t, ...) t
#define | MSGPACK_PP_DETAIL_IS_EMPTY_PROCESS(...)
#define | MSGPACK_PP_DETAIL_IS_EMPTY_PRIMITIVE_CAT(a, b) a ## b
#define | MSGPACK_PP_DETAIL_IS_EMPTY_IIF(bit) MSGPACK_PP_DETAIL_IS_EMPTY_PRIMITIVE_CAT(MSGPACK_PP_DETAIL_IS_EMPTY_IIF_,bit)
#define | MSGPACK_PP_DETAIL_IS_EMPTY_NON_FUNCTION_C(...) ()

## Macro Definition Documentation

## MSGPACK_PP_DETAIL_IS_EMPTY_IIF

#define MSGPACK_PP_DETAIL_IS_EMPTY_IIF | ( |  | bit | ) | MSGPACK_PP_DETAIL_IS_EMPTY_PRIMITIVE_CAT(MSGPACK_PP_DETAIL_IS_EMPTY_IIF_,bit)

## MSGPACK_PP_DETAIL_IS_EMPTY_IIF_0

#define MSGPACK_PP_DETAIL_IS_EMPTY_IIF_0 | ( |  | t,
|  |  | ...
| ) |  | __VA_ARGS__

## MSGPACK_PP_DETAIL_IS_EMPTY_IIF_1

#define MSGPACK_PP_DETAIL_IS_EMPTY_IIF_1 | ( |  | t,
|  |  | ...
| ) |  | t

## MSGPACK_PP_DETAIL_IS_EMPTY_NON_FUNCTION_C

#define MSGPACK_PP_DETAIL_IS_EMPTY_NON_FUNCTION_C | ( |  | ... | ) | ()

## MSGPACK_PP_DETAIL_IS_EMPTY_PRIMITIVE_CAT

#define MSGPACK_PP_DETAIL_IS_EMPTY_PRIMITIVE_CAT | ( |  | a,
|  |  | b
| ) |  | a ## b

## MSGPACK_PP_DETAIL_IS_EMPTY_PROCESS

#define MSGPACK_PP_DETAIL_IS_EMPTY_PROCESS | ( |  | ... | ) |

Value:
MSGPACK_PP_IS_BEGIN_PARENS \
( \
MSGPACK_PP_DETAIL_IS_EMPTY_NON_FUNCTION_C __VA_ARGS__ () \
) \